<div class="login card">
  <img src="assets/images/logo.png" alt="" class="logo" />
  <div class="title">Welcome to Imagerax</div>
  <form novalidate="" [formGroup]="form" (ngSubmit)="onLogIn(form)">
    <input type="email" class="input" placeholder="Email" formControlName="email" />
    <div
      class="alert-danger"
      *ngIf="
        (!form.get('email').valid && form.get('email').touched) || (form.get('email').untouched && formSubmitAttempt)
      "
    >
      This field is required!
    </div>
    <input type="password" class="input" placeholder="Password" formControlName="password" />
    <div
      class="alert-danger"
      *ngIf="
        (!form.get('password').valid && form.get('password').touched) ||
        (form.get('password').untouched && formSubmitAttempt)
      "
    >
      This field is required!
    </div>
    <button type="submit" class="login-btn button" [disabled]="!getSubmitButton()">
      Log in
    </button>
    <button type="submit" class="google-btn button" [routerLink]="['/login-sirius']">
      Login Using Sirius ID
    </button>
    <div class="links">
      <a href="" class="forgot" [routerLink]="['/forgot-password']">Forgot Password?</a>
      <a href="" class="sign-up" [routerLink]="['/signup']">Sign up!</a>
    </div>

    <div class="terms">
      By continuing, you agree to our
      <br />
      <span class="emphasize">Terms of Service</span>
      and
      <span class="emphasize">Privacy Policy</span>
    </div>
  </form>
</div>
